# Patch Notification

This endpoint allows you to update the status of a notification, for example, to mark it as read.

The request body must contain an UpdateCustomerNotificationStatus object. It returns the updated CustomerNotification object.

Endpoint: PATCH /api/v1/notifications/{notification_id}/
Version: Version: 2edadba5
Security: CodeBearer

## Path parameters:

  - `notification_id` (string, required)

## Request fields (application/json):

  - `status` (string, required)
    Enum: "READ", "UNREAD"

## Response 200 fields (application/json):

  - `id` (string, required)

  - `description` (string, required)

  - `status` (any, required)

  - `title` (string, required)

  - `type` (string, required)

  - `created_at` (string, required)

  - `notification_metadata` (any)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)


